Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - neomutt-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: neomutt-git neomutt.20161126.r1.g7d69f2a-1

Git Clone URL: https://aur-dev.archlinux.org/neomutt-git.git (read-only)
Package Base: neomutt-git
Description: The New Mutt: powerful text-based mail client with all the best feature patches
Upstream URL: http://www.neomutt.org/
Licenses: GPL
Conflicts: mutt
Provides: mutt
Submitter: shioyama
Maintainer: shioyama
Last Packager: shioyama
Votes: 11
Popularity: 1.293656
First Submitted: 2016-05-02 13:41
Last Updated: 2016-11-28 12:05

Latest Comments

1 2 Next › Last »

shioyama commented on 2016-11-28 12:07

I've added --with-gdbm since we have gdbm in the depends list now, and it compiles correctly.

shioyama commented on 2016-11-28 12:07

I've added --with-gdbm since we have gdbm in the depends list now, and it compiles correctly.

flatcap commented on 2016-11-26 12:02

@qwence: aha!
neomutt-git is the latest (unreleased/undocumented) source.
You've discovered one of our new features -- multiple hcache backends.
Along with --enable-hcache you will now need to select one (or more) of
--with-bdb --with-gdbm --with-kyotocabinet --with-lmdb --with-qdbm --with-tokyocabinet
If you have multiple backends installed you can select one with, e.g.
$header_cache_backend = kyotocabinet

qwence commented on 2016-11-26 02:07

I have qdbm installed, and I had to add --with-qdbm to the PKGBUILD to avoid the error message

configure: error: You need Tokyo Cabinet, Kyoto Cabinet, QDBM, GDBM, Berkeley DB or LMDB for hcache

Rhinoceros commented on 2016-08-12 00:00

Thanks @shioyama.

shioyama commented on 2016-08-11 07:15

@Rhinoceros

Oops, reverted the last commit, should fix that.

Rhinoceros commented on 2016-08-11 04:56

The new package won't install. It tries to install `/etc/mime.types`, which already exists, and is owned by the package mime-types… which is a dependency of neomutt-git.

shioyama commented on 2016-08-11 04:14

Fixed the PKGBUILD, should work now.

jakkin commented on 2016-08-11 03:42

I was able to get it to compile by removing everything below the "#Cruft we don't want." line.

shioyama commented on 2016-08-08 07:37

@danir

I'll check up on fixing the build, I'm using neomutt not this one so hadn't really noticed any issues.

> Also, why is there a PKGBUILD_gold file in the committed repo? Looks like something you added by mistake

Sorry don't know what you're talking about. There is only a PKGBUILD and a .SRCINFO.